<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="utf-8" indent="yes" />
	<xsl:template match="/">
		<!-- <xsl:text disable-output-escaping="yes">&lt;!DOCTYPE html&gt;</xsl:text> -->
		<html>
			<head>
				<meta name="viewport" content="width=device-width, initial-scale=1" />
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
				<title><xsl:value-of select="/errors_index/project_name" /> - Sandpiper</title>
				<link rel="stylesheet" href="/theme/main.css" />
			</head>
			<body>
				<h1>Sandpiper - <xsl:value-of select="/errors_index/project_name" /></h1>
				
				<a class="back-button-main" href="../../../">« Back</a>
				
				<div class="error-list">
					<div class="error-list-header">
						<span>Error</span>
						<span>Last Updated</span>
						<span>Reports</span>
					</div>
					
					<xsl:for-each select="/errors_index/error_list/error">
						<a>
							<xsl:attribute name="href"><xsl:value-of select="filename" /></xsl:attribute>
							<span class="summary">
								<xsl:value-of select="summary" />
							</span>
							<time class="last-updated">
								<xsl:value-of select="last_report" />
							</time>
							<span class="reports-count">
								<span><xsl:value-of select="report_count" /></span>
							</span>
						</a>
					</xsl:for-each>
				</div>
			</body>
		</html>
	</xsl:template>
</xsl:transform>
